[common]
logdir = /var/log/rucio
loglevel = DEBUG

[client]
rucio_host = http://{{httpd.hostname}}
# Could consider setting up a separate auth_host but using ssh now anyway
auth_host = http://{{httpd.hostname}}
auth_type = ssh
;ssh_private_key = /root/.ssh/id_rsa
ssh_private_key = /home/apache/.ssh/id_rsa
account = root
request_retries = 3
ca_cert = /etc/grid-security/certificates

[database]
default = {{database.default}}
pool_recycle = {{database.pool_recycle}}
echo = {{database.echo}}
pool_reset_on_return = {{database.pool_reset_on_return}}

[policy]
permission = {{policy.permission}}
schema = {{policy.schema}}
lfn2pfn_module = {{policy.lfn2pfn_module}}
lfn2pfn_algorithm_default = {{policy.lfn2pfn_algorithm_default}}
support = {{policy.support}}
support_rucio = {{policy.support_rucio}}

[bootstrap]
; Used to create root account
userpass_identity = {{bootstrap.userpass_identity}}
userpass_pwd = {{bootstrap.userpass_pwd}}
userpass_email = {{bootstrap.userpass_email}}

x509_identity = {{bootstrap.x509_identity}}
x509_email = {{bootstrap.x509_email}}

gss_identity = {{bootstrap.gss_identity}}
gss_email = {{bootstrap.gss_email}}

ssh_identity = {{bootstrap.ssh_identity}}
ssh_email = {{bootstrap.ssh_email}}

[monitor]
carbon_server = {{monitor.carbon_server}}
carbon_port = {{monitor.carbon_port}}
user_scope = {{monitor.user_scope}}
#enable_metrics = {{monitor.enable_metrics}}

[conveyor]
scheme = {{conveyor.scheme}}
transfertool = {{conveyor.transfertool}}
ftshosts = {{conveyor.ftshosts}}
cacert = {{httpd.ca_cert}}
usercert = {{conveyor.usercert}}
cachedir = {{conveyor.cachedir}}
default-source-strategy = {{conveyor.defaultSourceStrategy}}
cache_time = {{conveyor.cache_time}}
use_deterministic_id = {{conveyor.use_deterministic_id}}
poll_timeout = {{conveyor.poll_timeout}}
submit_timeout = {{conveyor.submit_timeout}}
bring_online = {{conveyor.bring_online}}
queue_mode = {{conveyor.queue_mode}}
using_memcache = {{conveyor.using_memcache}}
;   ftsmonhosts = https://lcgfts3.gridpp.rl.ac.uk:8449,https://fts3-pilot.cern.ch:8449,https://fts.usatlas.bnl.gov:8449,https://fts3-test.gridpp.rl.ac.uk:8449,https://fts3-atlas.cern.ch:8449,https://fts3-atlas.cern.ch:8449,https://fts3-devel.cern.ch:8449

[auditor]
cache = /opt/rucio/auditor-cache
results = /opt/rucio/auditor-results

[alembic]
cfg = {{alembic.cfg}}

[messaging-fts3]
username = {{messagingFts.username}}
password = {{messagingFts.password}}
port = {{messagingFts.port}}
nonssl_port = {{messagingFts.port}}
ssl_key_file  = {{messagingFts.ssl_key_file}}
ssl_cert_file = {{messagingFts.ssl_cert_file}}
use_ssl = {{messagingFts.use_ssl}}
destination = {{messagingFts.destination}}
brokers = {{messagingFts.brokers}}
voname = {{messagingFts.voname}}

[messaging-hermes]
username = {{messagingHermes.username}}
password = {{messagingHermes.password}}
port = {{messagingHermes.port}}
nonssl_port = {{messagingHermes.nonssl_port}}
use_ssl = {{messagingHermes.use_ssl}}
ssl_key_file  = {{messagingHermes.ssl_key_file}}
ssl_cert_file = {{messagingHermes.ssl_cert_file}}
destination = {{messagingHermes.destination}}
brokers = {{messagingHermes.brokers}}
voname = {{messagingHermes.voname}}
email_from = {{messagingHermes.email_from}}
email_test = {{messagingHermes.email_test}}

[trace]
tracedir = {{trace.tracedir}}
brokers = {{trace.brokers}}
port = {{trace.port}}
username = {{trace.username}}
password = {{trace.password}}
topic = {{trace.topic}}

[tracer-kronos]
brokers = {{tracerKronos.brokers}}
port={{tracerKronos.port}}
use_ssl = {{tracerKronos.use_ssl}}
ssl_key_file  = {{tracerKronos.ssl_key_file}}
ssl_cert_file = {{tracerKronos.ssl_cert_file}}
queue = {{tracerKronos.queue}}
prefetch_size = {{tracerKronos.prefetch_size}}
chunksize = {{tracerKronos.chunksize}}
subscription_id = {{tracerKronos.subscription_id}}
reconnect_attempts = {{tracerKronos.reconnect_attempts}}
username = {{tracerKronos.username}}
password = {{tracerKronos.password}}
dataset_wait = {{tracerKronos.dataset_wait}}
excluded_usrdns =

[transmogrifier]
maxdids = {{transmogrifier.maxdids}}

[nongrid-trace]
tracedir = {{trace.tracedir}}
brokers = {{trace.brokers}}
port = {{trace.port}}
username = {{trace.username}}
password = {{trace.password}}
topic = {{trace.topic}}

[throttler]
mode = {{throttler.mode}}
